@extends('admin.layouts.master')

@section('content')

<div class="container">
    <div class="page-header">
        <div class="page-title">
            <h3>Dashboard</h3>
        </div>
    </div>

    <div class="row layout-spacing ">

        <div class="col-lg-4 mb-4 col-md-4 col-sm-6">
            <div class="widget-content-area  data-widgets br-4">
                <div class="widget  t-customer-widget">
                    <div class="media">
                        <div class="icon ml-2">
                            <i class='bx bxs-user'></i>
                        </div>
                        <div class="media-body text-right">
                            <a href="{{ route('admin.customers') }}">
                                <p class="widget-text mb-0">Customers</p>
                                <p class="widget-numeric-value">{{ $customer_count }}</p>
                            </a>
                        </div>
                    </div>
                    <!-- <p class="widget-total-stats mt-2">0 New Customers</p> -->
                </div>
            </div>
        </div>


        <div class="col-lg-4 mb-4 col-md-4 col-sm-6">
            <div class="widget-content-area  data-widgets br-4">
                <div class="widget  t-income-widget">
                    <div class="media">
                        <div class="icon ml-2">
                            <i class='bx bx-cog' ></i>
                        </div>
                        <div class="media-body text-right">
                            <a href="{{ route('admin.services') }}">
                                <p class="widget-text mb-0">All Services</p>
                                <p class="widget-numeric-value" >{{$services_count}}</p>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-4 mb-4 col-md-4 col-sm-6">
            <div class="widget-content-area  data-widgets br-4">
                <div class="widget  t-order-widget">
                    <div class="media">
                        <div class="icon ml-2">
                            <i class='bx bx-car' ></i>
                        </div>
                        <div class="media-body text-right">
                            <a href="{{ route('admin.drivers') }}">
                                <p class="widget-text mb-0">All Drivers</p>
                                <p class="widget-numeric-value" >{{ $providers_count }}</p>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-4 mb-4 col-md-4 col-sm-6">
            <div class="widget-content-area  data-widgets br-4">
                <div class="widget  t-income-widget">
                    <div class="media">
                        <div class="icon ml-2">
                            <i class='bx bx-calendar' ></i>
                        </div>
                        <div class="media-body text-right">
                            <a href="{{ route('admin.customer_bookings') }}">
                                <p class="widget-text mb-0">All Bookings</p>
                                <p class="widget-numeric-value" >{{ $booking_count }}</p>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-4 mb-4 col-md-4 col-sm-6">
            <div class="widget-content-area  data-widgets br-4">
                <div class="widget  t-order-widget">
                    <div class="media">
                        <div class="icon ml-2">
                            <i class='bx bx-calendar-check' ></i>
                        </div>
                        <div class="media-body text-right">
                            <a href="{{ route('admin.customer_bookings',['status'=>'6']) }}">
                                <p class="widget-text mb-0">Complete Bookings</p>
                                <p class="widget-numeric-value" >{{$complete_booking_count}}</p>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-4 mb-4 col-md-4 col-sm-6">
            <div class="widget-content-area  data-widgets br-4">
                <div class="widget  t-customer-widget">
                    <div class="media">
                        <div class="icon ml-2">
                            <i class='bx bx-calendar-exclamation' ></i>
                        </div>
                        <div class="media-body text-right">
                            <a href="{{ route('admin.customer_bookings',['status'=>'0']) }}">
                                <p class="widget-text mb-0">Pending Bookings</p>
                                <p class="widget-numeric-value" >{{$pending_booking_count}}</p>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        

    </div>


</div>

@endsection