<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title>{{ config('app.name')}} | Admin Panel </title>
    <!--<link rel="icon" type="image/x-icon" href="{{ asset('frontend/images/fav.png')}}" type="image/png" />-->
    
    <link rel="apple-touch-icon" sizes="180x180" href="{{ asset('admin-assets/assets/img/favicon/favicon.ico')}}">
    <link rel="apple-touch-icon" sizes="180x180" href="{{ asset('admin-assets/assets/img/favicon/apple-touch-icon.png')}}">
    <link rel="icon" type="image/png" sizes="150x150" href="{{ asset('admin-assets/assets/img/favicon/mstile-150x150.png')}}">
    <link rel="icon" type="image/png" sizes="32x32" href="{{ asset('admin-assets/assets/img/favicon/favicon-32x32.png')}}">
    <link rel="icon" type="image/png" sizes="16x16" href="{{ asset('admin-assets/assets/img/favicon/favicon-16x16.png')}}">
    <link rel="manifest" href="{{ asset('admin-assets/assets/img/favicon/site.webmanifest')}}">
    <link rel="mask-icon" href="{{ asset('admin-assets/assets/img/favicon/safari-pinned-tab.svg')}}" color="#000000">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="theme-color" content="#ffffff">
    
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,600,700' rel='stylesheet' type='text/css'>
    <link href="{{ asset('admin-assets/bootstrap/css/bootstrap.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('admin-assets/assets/css/plugins.css') }}" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/boxicons@latest/css/boxicons.min.css">
    <!-- END GLOBAL MANDATORY STYLES -->

    <!-- BEGIN PAGE LEVEL PLUGINS/CUSTOM STYLES -->
    <link href="{{ asset('admin-assets/assets/css/support-chat.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('admin-assets/plugins/maps/vector/jvector/jquery-jvectormap-2.0.3.css') }}" rel="stylesheet" type="text/css" />
    {{-- <link href="{{ asset('admin-assets/plugins/charts/chartist/chartist.css') }}" rel="stylesheet" type="text/css"> --}}
    <link href="{{ asset('admin-assets/assets/css/default-dashboard/style.css') }}" rel="stylesheet" type="text/css" />    
    <!-- END PAGE LEVEL PLUGINS/CUSTOM STYLES -->  
    <link href="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.css') }}" rel="stylesheet" type="text/css" />
     <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fancyapps/ui/dist/fancybox.css"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css" integrity="sha512-KfkfwYDsLkIlwQp6LFnl8zNdLGxu9YAA1QvwINks4PhcElQSvqcyVLLD9aMhXd13uQjoXtEKNosOWaZqXgel0g==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/js/all.min.js" integrity="sha512-6PM0qYu5KExuNcKt5bURAoT6KCThUmHRewN3zUFNaoI6Di7XJPTMoT6K0nsagZKk2OB4L7E3q1uQKHNHd4stIQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    @yield('headerFiles', ' ')

</head>
<body class="default-sidebar">
    <style type="text/css">
         #LoaderDiv {
            /* background-color: rgba(0,0,0,0.1); */
            background-color: white;
            height: 100%;
            width: 100%;
            position: fixed;
            z-index: 99999;
            left: 0;
            bottom: 0;
            right: 0;
            top: 0;
            display: none;
            opacity: 0.5;
        }
        .user-symbols {
              width: 42px;
              height: 42px;
              color: #ffffff;
              text-align: center;
              padding-top: 12px;
              border-radius: 100%;
              font-size: 1rem;
            }
            .select2-container .select2-selection--multiple{
           width: 100%;
        }
    </style>

    <!-- Tab Mobile View Header -->
    <header class="tabMobileView header navbar fixed-top d-lg-none">
        <div class="nav-toggle">
                <a href="javascript:void(0);" class="nav-link sidebarCollapse" data-placement="bottom">
                    <i class="flaticon-menu-line-2"></i>
                </a>
            <!-- <a href="index.html" class=""> <img src="{{ asset('frontend/assets/img/logo-white.png')}}" class="img-fluid" alt="logo"></a> -->
        </div>
        <ul class="nav navbar-nav">
            <li class="nav-item d-lg-none"> 
                <form class="form-inline justify-content-end" role="search">
                    <input type="text" class="form-control search-form-control mr-3">
                </form>
            </li>
        </ul>
    </header>
    <!-- Tab Mobile View Header -->

    <!--  BEGIN NAVBAR  -->
    @include('admin.layouts.includes.header')
    <!--  END NAVBAR  -->

    <!--  BEGIN MAIN CONTAINER  -->
    <div class="main-container" id="container">
        <div id="LoaderDiv" style="display: none;">
            <img id="ImageLoader" width='100' style="margin-left: 45%; margin-top: 15%;" src="{{ asset('frontend/images/loader.gif') }}">
        </div>

        <div class="overlay"></div>
        <div class="cs-overlay"></div>

        <!--  BEGIN SIDEBAR  -->

        @include('admin.layouts.includes.sidebar')

        <!--  END SIDEBAR  -->
        
        <!--  BEGIN CONTENT PART  -->
        <div id="content" class="main-content">
            @yield('content', ' ')
            
        </div>
        <!--  END CONTENT PART  -->

    </div>
    <!-- Modal -->
    <div class="modal fade" id="changeStatusModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <form method="post" class="form-validate form-status" method="post">
                @csrf
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title text-black" id="exampleModalLabel">Change Status Confirmation</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                <div class="modal-body text-black">
                    Are you sure you want to Change Status?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
                    <button type="button" class="btn btn-success change_status">Change</button>
                </div>
                <input type="hidden" name="status_id" id="status_id" value="">
            </form>
          </div>
        </div>
      </div>
    <!-- END MAIN CONTAINER -->

    <!--  BEGIN CHAT  -->
    <div id="chat">
        <div id="chat-circle" class="btn btn-raised  d-lg-block d-none">
            <i class="flaticon-comment"></i>
        </div>
        <div class="chat-box">
            <div class="chat-box-header">
                <div class="media">
                    <i class="flaticon-chat-fill-1 chat align-self-center mr-3"></i>
                    <!-- <img src="assets/img/90x90.jpg" class="rounded-circle mr-2 mt-2" alt="user"> -->
                    <div class="media-body">
                        <h6 class="mt-2 mb-1">Equation Admin</h6>
                        <p>How May I help you ?</p>
                    </div>
                    <span class="chat-box-toggle mt-1"><i class="flaticon-close-fill"></i></span>
                </div>
            </div>
            <div class="chat-box-body">
                <div class="chat-box-overlay">
                </div>
                <div class="chat-logs">
                </div>
            </div>
            <div class="chat-input">
                <form>
                    <input type="text" id="chat-input" placeholder="Send a message...">
                    <button type="submit" class="chat-submit" id="chat-submit"><i class="flaticon-send-fill-1 chat"></i>
                    </button>
                </form>
            </div>
        </div>
    </div>
    <!--  END CHAT  -->

    <!--  BEGIN FOOTER  -->
    <footer class="footer-section theme-footer">

        <div class="footer-section-1  sidebar-theme">
            
        </div>

        <div class="footer-section-2 container-fluid">
            <div class="row">
                <div id="toggle-grid" class="col-xl-7 col-md-6 col-sm-6 col-12 text-sm-left text-center">
                    <!-- <ul class="list-inline links ml-sm-5">
                        <li class="list-inline-item mr-3">
                            <a href="javascript:void(0);">Home</a>
                        </li>
                        <li class="list-inline-item mr-3">
                            <a href="javascript:void(0);">Blog</a>
                        </li>
                        <li class="list-inline-item mr-3">
                            <a href="javascript:void(0);">About</a>
                        </li>
                        <li class="list-inline-item">
                            <a href="javascript:void(0);">Buy</a>
                        </li>
                    </ul> -->
                </div>
                <div class="col-xl-5 col-md-6 col-sm-6 col-12">
                    <ul class="list-inline mb-0 d-flex justify-content-sm-end justify-content-center mr-sm-3 ml-sm-0 mx-3">
                        <li class="list-inline-item  mr-3">
                            <p class="bottom-footer">&#xA9; 2022 <a  href="{{route('admin.dashboard')}}">{{ config('app.name')}} Admin Panel</a></p>
                        </li>
                        <li class="list-inline-item align-self-center">
                            <div class="scrollTop"><i class="flaticon-up-arrow-fill-1"></i></div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </footer>
    <!--  END FOOTER  -->


    <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
    <script src="{{ asset('admin-assets/assets/js/libs/jquery-3.1.1.min.js') }}"></script>
    <script src="{{ asset('admin-assets/bootstrap/js/popper.min.js') }}"></script>
    <script src="{{ asset('admin-assets/bootstrap/js/bootstrap.min.js') }}"></script>
    <script src="{{ asset('admin-assets/plugins/scrollbar/jquery.mCustomScrollbar.concat.min.js') }}"></script>
    <script src="{{ asset('admin-assets/assets/js/app.js') }}"></script>
    <script src="{{ asset('admin-assets/plugins/table/datatable/datatables.js') }}"></script>
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/buttons/2.2.3/css/buttons.dataTables.min.css">
    <script src="https://cdn.datatables.net/buttons/2.2.3/js/dataTables.buttons.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/buttons/2.2.3/js/buttons.html5.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-switch/1.3/bootstrapSwitch.min.js" integrity="sha512-DAc/LqVY2liDbikmJwUS1MSE3pIH0DFprKHZKPcJC7e3TtAOzT55gEMTleegwyuIWgCfOPOM8eLbbvFaG9F/cA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="https://cdn.jsdelivr.net/npm/@fancyapps/ui@4.0/dist/fancybox.umd.js"></script>
    {{-- <script>
        $(document).ready(function() {
            App.init();
        });
    </script> --}}
    <script src="{{ asset('admin-assets/assets/js/custom.js') }}"></script>
    <!-- END GLOBAL MANDATORY SCRIPTS -->

    <!-- BEGIN PAGE LEVEL PLUGINS/CUSTOM SCRIPTS -->

    <script src="{{ asset('admin-assets/plugins/maps/vector/jvector/jquery-jvectormap-2.0.3.min.js') }}"></script>


    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>


    {{-- <script src="{{ asset('admin-assets/assets/js/default-dashboard/default-custom.js') }}"></script> --}}

    <!-- BEGIN PAGE LEVEL PLUGINS/CUSTOM SCRIPTS -->
    <script src="{{ asset('admin-assets/plugins/editors/tinymce/tinymce.min.js') }}"></script>
    <script src="{{ asset('admin-assets/plugins/editors/tinymce/editor_tinymce.js') }}"></script>
    <script src="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.js') }}"></script>
    <script src="{{asset('custom_js/')}}/jquery-validation/jquery.validate.min.js"></script>
    <script src="{{asset('admin-assets/assets/js/app.js')}}"></script>
    <script src="{{asset('custom_js/app.js')}}"></script>
    <script type="text/javascript">
    jQuery(function() {
        App2.init();
        App.init({
            site_url: '{{url("/")}}',
            base_url: '{{url("/")}}',
            site_name: '{{config('global.site_name')}}',
        });
        App.toast([]);

                App.initTreeView();
        });
         tinymce.init({
            selector: '.description'
        });

        tinymce.init({
            selector: '.description_ar',
            directionality: "rtl",
        });
        $(document).ready(function() {
            $('#owner_uid').select2();
            $('#restaurant_id').select2();
            $('#menu_id').select2();
            $('#customer_id').select2();
            $('#outlet_id').select2();
            $('#dial_code').select2();
            $('#country_id').select2();
            $('#city_id').select2();
        });
    // Toaster options
    toastr.options = {
        "closeButton": false,
        "debug": false,
        "newestOnTop": false,
        "progressBar": false,
        "rtl": false,
        "positionClass": "toast-top-right",
        "preventDuplicates": false,
        "onclick": null,
        "showDuration": 300,
        "hideDuration": 1000,
        "timeOut": 1000,
        "extendedTimeOut": 1000,
        "showEasing": "swing",
        "hideEasing": "linear",
        "showMethod": "fadeIn",
        "hideMethod": "fadeOut"
    }

    const $loading = $("#LoaderDiv").hide();
        $(document)
            .ajaxStart(function() {
                $loading.show();
            })
            .ajaxStop(function() {
                $loading.hide();
            });
    </script>
    
    <script>
    $('input[type="file"]').change(function(e){
        var fileName = e.target.files[0].name;
        $('.custom-file-label').html(fileName);
    });
</script>

    @yield('footerJs', ' ')
</body>
</html>