<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title>{{ config('app.name')}} | Admin Login </title>
    <!--<link rel="icon" type="image/x-icon" href="{{ asset('frontend/images/fav.png')}}" type="image/png" />-->
    <link rel="apple-touch-icon" sizes="180x180" href="{{ asset('admin-assets/assets/img/favicon/favicon.ico')}}">
    <link rel="apple-touch-icon" sizes="180x180" href="{{ asset('admin-assets/assets/img/favicon/apple-touch-icon.png')}}">
    <link rel="icon" type="image/png" sizes="150x150" href="{{ asset('admin-assets/assets/img/favicon/mstile-150x150.png')}}">
    <link rel="icon" type="image/png" sizes="32x32" href="{{ asset('admin-assets/assets/img/favicon/favicon-32x32.png')}}">
    <link rel="icon" type="image/png" sizes="16x16" href="{{ asset('admin-assets/assets/img/favicon/favicon-16x16.png')}}">
    <link rel="manifest" href="{{ asset('admin-assets/assets/img/favicon/site.webmanifest')}}">
    <link rel="mask-icon" href="{{ asset('admin-assets/assets/img/favicon/safari-pinned-tab.svg')}}" color="#000000">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="theme-color" content="#ffffff">
   

    <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,600,700' rel='stylesheet' type='text/css'>
    <link href="{{ admin_asset('admin-assets/bootstrap/css/bootstrap.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ admin_asset('admin-assets/assets/css/plugins.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ admin_asset('admin-assets/assets/css/users/login-3.css') }}" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" type="text/css" href="{{ admin_asset('admin-assets/plugins/jqvalidation/custom-jqBootstrapValidation.css') }}">
    <link href="{{ admin_asset('admin-assets/plugins/notification/toastr/toastr.min.css') }}" rel="stylesheet" type="text/css" />

    <style type="text/css">
        .invalid-feedback{
            color: red;
            display: block;
        }
        .form-login{
            width:350px;
            background: rgba( 255, 255, 255, 0.75 );
            box-shadow: 0 8px 32px 0 rgb(255 0 0 / 36%);
            backdrop-filter: blur( 4px );
            -webkit-backdrop-filter: blur( 4px );
            border-radius: 10px;
            border: 1px solid rgba( 255, 255, 255, 0.18 );
        }
        .btn{
            margin-left: 0 !important;
        }
    </style> 

</head>
<body class="login" style="background-image: linear-gradient(135deg, #0000009c 0%, #0000009c 100%),url('{{ asset('') }}admin-assets/assets/img/bg-1920X1080.jpg'); background-size: cover; background-position: center; background-repeat: no-repeat;">

    <form method="POST" class="form-login" action="{{ route('admin.save') }}">
      
        <input type="hidden" name="admin" value="1">
        <div class="row">
            <div class="col-md-12 text-center mb-4">
                <img alt="logo" src="{{ asset('admin-assets/assets/img/logo.png')}}" style="height: 120px;" class="theme-logo">
            </div>
            <div class="col-md-12">

                <label for="inputEmail" class="">Email</label>                
                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>
                @error('email')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror

                <label for="inputPassword" class="">Password</label>
                <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="current-password">
                @error('password')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                <button type="submit" class="btn btn-gradient-dark btn-rounded btn-block">Sign in</button>
            </div>

        </div>
    </form>
    
    <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
    <script src="{{ admin_asset('admin-assets/assets/js/libs/jquery-3.1.1.min.js') }}"></script>
    <script src="{{ admin_asset('admin-assets/bootstrap/js/popper.min.js') }}"></script>
    <script src="{{ admin_asset('admin-assets/bootstrap/js/bootstrap.min.js') }}"></script>
    <script src="{{ admin_asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js') }}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/jquery.validate.js"></script>
    <script src="{{ admin_asset('admin-assets/plugins/notification/toastr/toastr.min.js') }}"></script>
    <script>
        // Toaster options
        toastr.options = {
            "closeButton": false,
            "debug": false,
            "newestOnTop": false,
            "progressBar": false,
            "rtl": false,
            "positionClass": "toast-top-right",
            "preventDuplicates": false,
            "onclick": null,
            "showDuration": 300,
            "hideDuration": 1000,
            "timeOut": 2000,
            "extendedTimeOut": 1000,
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut"
        }

        $(document).ready(function() {
        @if (\Session::has('error') && \Session::get('error') != null)
            toastr["error"]("{{\Session::get('error')}}");
        @endif

        })
        $(".form-login").submit(function(e) {
            e.preventDefault();
        }).validate({
            rules: {
                username: {
                    required: true,
                    email: true
                },
                password: "required"            
            },
            messages: {
                username: {
                    required: "Password field is required",
                    email: "Please enter valid email address"
                },
                password: "User name field is required"
            },
            submitHandler: function(form) { 
                $.ajax({
                    type:'POST',
                    url: "{{ route("admin.save")}}",
                    data:{
                        '_token':'{{ csrf_token() }}',
                        'email': $("#email").val(),
                        'password': $("#password").val(),
                    },
                    success: function(response) {
                        response = jQuery.parseJSON(response);
                        if(response.success){
                            toastr["success"](response.message);
                            setTimeout(function(){ 
                                window.location.href = "{{ route("admin.dashboard")}}";
                            }, 1000);
                            
                        } else {
                            toastr["error"](response.message);
                        }
                    }            
                });
            }
        });
    </script>
    
    <!-- END GLOBAL MANDATORY SCRIPTS -->
</body>
</html>